0
votes
0answers
80 views

How to install top & htop on Ubuntu 8.04.2 LTS (hardy)

Env. Rackspace Ubuntu 8.04.2 LTS (hardy) I am in a corner situation where I need to maintain carefully a legacy server before I can plant for an upgrade. Actually an upgrade is not an option, I ...
0
votes
0answers
29 views

ubuntu on chroot apt-get update fail - Unable to parse package

When I chroot under Ubuntu 12.04 and run apt-get update in my chroot home, I get: 100% [21 Translation-en gzip 0 B] [22 Translation-en bzip2 3E: Unable to parse package file ...
0
votes
1answer
34 views

how to configure apt-get to use multiple repository components or sections

My ubuntu 14.04 installation shows the apt-get uses only one respository section: $ apt-cache policy Package files: 100 /var/lib/dpkg/status release a=now 500 ...
0
votes
0answers
36 views

On linux ubuntu 'sudo apt-get…' fail [closed]

When I do: sudo apt-get install ssh I get errors such as: Could not connect to it.archive.ubuntu.com:80 (193.206.140.45) - connection timed out I get similar errors for all other apt-get calls. ...
0
votes
0answers
808 views

Error with “sudo apt-get upgrade” (Ubuntu 14.04)

You can see below the error I encounter. I did search on Google if the question has already been asked (and answered) but nothing works for me. I can't do sudo apt-get upgrade or install. Thanks in ...
5
votes
1answer
275 views

Unable to install Imagemagick on Ubuntu 12.10

I've got a virtual machine running on Ubuntu 12.10. When I try to run apt-get install imagemagick I get several 404 errors: Err http://archive.ubuntu.com/ubuntu/ quantal-updates/main libcups2 ...
0
votes
2answers
165 views

Creating a simple custom apt-get/config script

As I play more and more with Ubuntu, I'm starting to see how I can automate the majority of the repetitive commands that I perform whenever I reinstall the operating system. Thus far, it's just one ...
0
votes
0answers
37 views

Pointing apt-get to another repo

I am trying to point apt-get into another repository manager. But as i am new to ubuntu, i can't recognize some ubuntu specifics. :S I am trying to point apt-get to http://mirrors.kernel.org/ubuntu/ ...
0
votes
1answer
48 views

Where does system downloads the files?

I have Elementory OS currently running on my PC. It is based on Debian-Ubuntu. I had recently run the command "apt-get upgrade" and downloaded 162 MB of data Now I don't have an internet on another ...
1
vote
2answers
198 views

How do I restore original configuration file that's in the home directory?

I'm asking in general but also because I'd like to know how to restore a configuration file of the Transmission bittorrent client (apt package is named transmission-gtk). I'm on Ubuntu 13.10, and it ...
1
vote
1answer
749 views

Apt-get install r-base installing R version 2.15, not R 3.0

I'm installing R on an Ubuntu 12.10 x64 and when I run: sudo apt-get update sudo apt-get install r-base And I am getting R version 2.15.1. Shouldn't this get me the most recent version R 3.0.2?
0
votes
4answers
288 views

How to completely remove my Emacs?

I downloaded Emacs source files, and installed it using make. After installing Emacs successfully, I manually removed the downloaded source files to save disk space. Now I want to remove Emacs and I ...
0
votes
1answer
4k views

apt-get gives error: Unable to locate package <package name> for all packages

I have a fresh install of Ubuntu Server 13.10, and I'm trying to install an FTP server, but apt-get doesn't seem to want to install anything. sudo apt-get install vsftpd brings the error: unable to ...
1
vote
1answer
172 views

What to do when launchpad is down?

As I am writing this (Friday, November 8, 2013 at 9:59:18 PM EST) launchpad is down. Apparently there is a power failure (https://twitter.com/launchpadstatus/status/398980619880775680). I tried ...
0
votes
0answers
60 views

apt-get resolving hosts error

My every apt-get command ends with someting like this: Err http://security.ubuntu.com quantal-security Release.gpg Temporary failure resolving 'security.ubuntu.com' Err http://rs.archive.ubuntu.com ...
0
votes
1answer
727 views

Ubuntu says Unable to Locate Package (no not the common issue)

I tried to install some third party packages by following instructions on this URL. After doing the following, I started to get the error "Unable to locate the package" root@ubuntu:/# cd /root/ ...
0
votes
0answers
112 views

Failed to symbolic-link /boot/initrd.img-3.8.0-19-generic to initrd.img:File exists

I'm running xubuntu off of a USB and I'm trying to run the command sudo apt-get upgrade but I keep getting this error Failed to symbolic-link /boot/initrd.img-3.8.0-19-generic to initrd.img:File ...
4
votes
2answers
6k views

How to fix“error while loading shared libraries: libgl.so.1”

After I run this command dpkg -l |grep ^rc|awk '{print $2}' |sudo xargs dpkg -P I got the problem while opening smplayer,cairo-dock,unity-2d-shell and amdconfig ,"error while loading shared ...
1
vote
1answer
195 views

Replace/reinstall /usr/bin/apt-get?

Running any sudo apt-get command gives the error: /usr/bin/apt-get: 1: /usr/bin/apt-get: Syntax error: end of file unexpected (see Related question) Is there a way to reinstall the apt-get program ...
0
votes
1answer
610 views

How to add yourself to sudoers list?

I was trying to install a package using the command: sudo apt-get install ruby-rvm But I'm prompted with nish is not in the sudoers file. This incident will be reported. I tried to add myself ...
0
votes
1answer
241 views

I'm getting this error everytime I try to install using apt-get E: Sub-process /usr/bin/dpkg returned an error code (2)

I am running 64bit Ubuntu 13.04 I tried to install cairo-dock executed these command : sudo add-apt-repository ppa:cairo-dock-team/ppa - went well, no error. sudo apt-get update - went well, no ...
1
vote
0answers
762 views

Dkpg very very broken, how to repair / start from clean slate?

I am using Ubuntu 10.04. I inherited this set up from a previous employee who was supposed to be administering this machine, so I can not tell you what happened in the lead up to this problem. ...
0
votes
2answers
1k views

apt-get and php5 on Ubuntu - Impossible to install cause of dependencies

I am trying to run sudo apt-get install php5 And getting this error Reading package lists... Done Building dependency tree Reading state information... Done Some packages could not be installed. ...
0
votes
1answer
45 views

Why am I not able to get access to the kernel on Ubuntu with the following code?

I tried the following command but it's not working: apt-get source linux-image-$(uname -r)
0
votes
1answer
234 views

Qn: Is apt (on the Mac) the same as apt-get?

I'm a little new to this so pardon me. I am following a book which requires me to do "sudo apt-get install..." on an Ubuntu OS, but I only have a Mac. Found a UNIX executable in my Mac installed by ...
1
vote
1answer
416 views

Ubuntu/apt-get: redownload all extra/suggested packages dependencies

I have two computers: one's online and fully updated, the other's offline. I want to download specific .deb files to deploy them on offline computers manually. For instance I want to install ...
0
votes
1answer
316 views

apt-get Syntax error: end of file unexpected

Trying to run any apt-get commands from the terminal gives me a syntax error. Synaptic and Software Center work fine (Ubuntu 13.04). For example: sudo apt-get install mpack /usr/bin/apt-get: 1: ...
6
votes
1answer
3k views

Getting R 3.0 in Ubuntu

I am currently using R 2.15.3 (Security Blanket) in Ubuntu. R 3.0 is already released, but I could not update to it using apt-get. Will there be any trouble if I install it from tar.gz from cran ...
0
votes
0answers
474 views

apt-get “Broken packages”

While installing python-dev: sudo apt-get install python-dev I am getting the following error: The following packages have unmet dependencies: python2.7-dev : Depends: python2.7 (= 2.7.3-0ubuntu3) ...
0
votes
2answers
321 views

How to inform Ubuntu 12.04 apt-get about older installed version of php

Recently installed php5.3.22 on Ubuntu 12.04 from an excellent install script provided by git://github.com/vladgh/VladGh.com-LEMP.git. This works perfectly. The issue I have is that I now want to ...
0
votes
1answer
844 views

ubuntu: upgrading

i have some kind of problem with my system (it's a kvm vm with 2 gig ram and 50gig hd). when i try to install "linux-image-3.2.0-38-generic-pae" using apt-get, i'm told that there's no space left on ...
0
votes
1answer
43 views

Is there a reference for understanding and fixing broken dependencies?

I've seen the following line once or twice while installing packages on Ubuntu: Depends: <package> but it is not going to be installed I've seen people suggest various commands to run to fix ...
1
vote
2answers
665 views

Ignore packages that are not currently installed when using “apt-get remove”

I have a scenario where I'd like to remove a set of packages that may or may not be installed, and I'd like apt-get to remove those that are and silently ignore those that aren't. Something like: ...
1
vote
1answer
501 views

Ubuntu: apt-get “Building Dependency Tree” is extremely slow

On a new Ubuntu Server 12.10 installation, running apt-get install results in extremely slow progress while "Building dependency tree". The process has been going for about 15 minutes with about 17% ...
-1
votes
1answer
221 views

Azure's Ubuntu 12.0.4 fails to install PHP5

Similar to this article from Azure themselves: http://www.windowsazure.com/en-us/manage/linux/common-tasks/install-lamp-stack/ I am trying to install PHP5 on Ubuntu 12.0.4 virtual machine. However, ...
2
votes
2answers
2k views

Problems with apt-get(unmet dependencies)

I am using Ubuntu Desktop 12.04(64 bit). I have downloaded skype from the official website and opened the deb package from the terminal(sudo dpkg -i skype-ubuntu-precise_4.1.0.20-1_i386.deb) but ...
0
votes
0answers
239 views

Force apt-get update to return success

I'm working with a system that invokes apt-get update from a Ruby Capistrano recipe. Capistrano cares (apparently) about the return code of the shell commands it executes. apt-get update is running ...
6
votes
2answers
5k views

Trouble getting latest version of Git

I am using Ubuntu 10.04 LTS. I'm looking at using git as source control for personal projects and Github as a remote repository. I was having trouble pushing a commit to my remote github repo getting ...
3
votes
1answer
3k views

Postgresql has broken apt-get on Ubuntu

On ubuntu 12.04, whenever I try to install a package using apt-get I'm greeted by: The following packages have unmet dependencies: postgresql-9.1 : Depends: postgresql-client-9.1 but it is not going ...
0
votes
2answers
369 views

Installing php on Ubuntu 8.10; package not found?

I'm new to linux. For some work I need to install php but not necessarily apache as I'm using my own webserver. I'm using Ubuntu 8.10. But when I try to install php I get the following error. ...
2
votes
1answer
2k views

How can I install gfortran 4.6 in Ubuntu 11.04?

I am running Ubuntu 11.04. I wanted to install gfrotran 4.6 on my system. Can anyone please explain (show all) steps required to install gfortran 4.6 on ubuntu 11.04? I did the following: sudo ...
1
vote
0answers
1k views

How to fix broken dependencies when installing old/archived packages

I am trying to install opencv version 2.1. My codebase requires opencv 2.1, so upgrading is not an option. Specifically, I am trying to install the packages: libhighgui2.1 libcvaux2.1 libcv-dev ...
1
vote
1answer
4k views

How to update to latest version of SVN server?

I currently have SVN server installed on my Linux Ubuntu machine, version 1.6.12. I see that the latest version is 1.8.x and would like to update my installation to it, so I run: sudo apt-get update ...
2
votes
1answer
782 views

Cannot start Postgres daemon after installing with Yum

I was trying to install Postgres 9.1.4 on Fedora 17 using Yum. If I do: sudo yum install postgres-libs sudo yum install postgres sudo yum install postgis All the installs appear to complete ...
2
votes
6answers
848 views

How to network-ify an Ubuntu Server VM

I am creating an Ubuntu Server VM with VirtualBox. This morning I created the VM (with Networking configurations shown below) and installed the guest OS from an ISO. I just logged in for the first ...
1
vote
1answer
1k views

how to automatically select fast mirror for apt-get

Is there any plug-in available for apt-get to select fast mirror just as the YUM's fastestmirror plugin The fastest mirror plugin is designed for use in repository configurations where you have more ...
1
vote
1answer
369 views

Apt-get gives authentication warning every time

Whenever I apt-get something, it warns me that it is unauthenticated. This is a new problem; it started today. When I do apt-key update, it does nothing, and apt-get update gives me this error at the ...
4
votes
3answers
265 views

How do I list the files installed by a deb package?

I'm an Ubuntu user and I install packages with the apt-get. For example: sudo apt-get install hadoop-0.20 After I install the package, there will be files in /usr/bin, /usr/lib/hadoop etc. Are ...
0
votes
0answers
709 views

Dependency problems with installing ia32-libs on Ubuntu

I need to install the ia32-libs package on my Ubuntu server (version 11.10). When I try to install it via apt-get it says I need this dependency: The following packages have unmet dependencies. ...
1
vote
0answers
115 views

Discrepancy in number of upgradable packages between apt-get and Update manager

I ran the command apt-get update && apt-get -s upgrade | grep 'upgraded' and was displayed the output below. The following packages will be upgraded: 31 upgraded, 0 newly installed, 0 to ...